Subject: Re: bug#12774: 24.2.50; EMACS 24.2.50.1 crashing‏

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Nov 2012 16:57:22 +0200

> From: Vincent Belaïche <[email-masked]> 
> Date: Thu, 01 Nov 2012 06:23:10 +0100
> 
> What I do to get the crash is the following
> 
> 1) start emacs from MSWindows system programme menu
> 2) `C-x d' 
> 4) then go to directory `C:/Programme/GNU/installation'
> 5) then navigate with Dired mode `i' command to subdirectory
>    cedet-install/cedet
> 6) then go down to file USING_CEDET_FROM_BZR
> 7) then type RET to visit the file

I tried the equivalent of these commands (with different directory
names above 'cedet'), but couldn't get Emacs to crash.

> I have not yet started to dichotomize my init file to find what cause
> the crash, since the crash does not happen always that will be lengthy
> before I can zoom to what is to blame.

Well, please try.

> I tried to gdb the crash. I compiled with MSYS gdb 7.5 and did the
> following (I could not get the bracktrace...), below when I type `help
> where' the crash already happened :
> 
> -----------------------------------------------------------------------
> gdb -exec=c:/Programme/GNU/Emacs/bin/runemacs.exe
> GNU gdb (GDB) 7.5
> Copyright (C) 2012 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "i686-pc-mingw32".
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>.
> (gdb) run
> Starting program: c:\Programme\GNU\Emacs\bin\runemacs.exe 
> [New Thread 5708.0x17d8]
> [Inferior 1 (process 5708) exited normally]
> (gdb) warning: Can not parse XML library list; XML support was disabled at compile time

Your GDB build is non-functional.  Could you try downloading a
precompiled binary from the MinGW site?